package flugreservation;

import java.rmi.*;
import java.rmi.server.*;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class Flug_Impl extends UnicastRemoteObject implements Flug {

    private Datenbank db = null;

    // Konstruktion mit super(),
    public Flug_Impl (Datenbank db) throws RemoteException {
        this.db = db;
    }

    // Liste der Abflughfen
    public String [] bestimmeAlleAbflughafen () {
	String [] originStaedte = db.bestimmeAbflughafen();
	return originStaedte;
    }

    // Liste der Destinationen
    public String [] bestimmeAlleDestinationen () {
	String [] destStaedte = db.bestimmeDestination();
	return destStaedte;
    }

    // FlugInfo Objekte
    public FlugInfo[] bestimmeVerfuegbareFluege (String origin, String dest, String datum) {
	try {
	    FlugInfo[] verfuegbareFluege = db.bestimmeFluege(origin, dest, datum);
	    return verfuegbareFluege;
	} catch (Exception e) {
	    System.err.println("Fehler beim Bestimmen der verfgbaren Flge in KundenReservation_Impl " + e);
	}
	return null;
    }

    // Zeichenkette mit der Fluginfo
    public String produziereFlugString (FlugInfo flug) {
        String FlugString = flug.flugID + "-" + flug.originStadt +
	    "-" + flug.destStadt + "-" + flug.abflugDatum + "-" +
            flug.abflugZeit + "-xxx-xxx-xxx-" +
	    flug.flugzeugID;

	return FlugString;
    }
}
